Loading...
Searching...
No Matches
TimeBlockBuffer< data_t >::DataRow Struct Reference

`#include <timeblockbuffer.h>`

## Public Attributes

size_t | antenna1
size_t | antenna2
std::vector< data_t > | visibilities

## Detailed Description

template<typename data_t>
struct TimeBlockBuffer< data_t >::DataRow

Definition at line 21 of file timeblockbuffer.h.

## Member Data Documentation

## antenna1

template<typename data_t>

size_t TimeBlockBuffer< data_t >::DataRow::antenna1

Definition at line 22 of file timeblockbuffer.h.

Referenced by symbol_t< data_t >::ConvertVector().

## antenna2

template<typename data_t>

size_t TimeBlockBuffer< data_t >::DataRow::antenna2

Definition at line 22 of file timeblockbuffer.h.

Referenced by symbol_t< data_t >::ConvertVector().

## visibilities

template<typename data_t>

std::vector<data_t> TimeBlockBuffer< data_t >::DataRow::visibilities

Definition at line 23 of file timeblockbuffer.h.

Referenced by symbol_t< data_t >::ConvertVector(), and WeightBlockEncoder::Decode().

The documentation for this struct was generated from the following file:

- tables/Dysco/timeblockbuffer.h